kind: Pod
apiVersion: v1
metadata:
  generateName: kogito-infinispan-
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.129.2.18"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.129.2.18"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
    updateDate: '2021-07-23 14:04:07.902401088 +0000 UTC m=+366.388540677'
  selfLink: /api/v1/namespaces/kogito/pods/kogito-infinispan-0
  resourceVersion: '52793'
  name: kogito-infinispan-0
  uid: 06331260-3d71-4963-b6cb-2e12e6a070c6
  creationTimestamp: '2021-07-23T14:04:07Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2021-07-23T14:04:07Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:updateDate': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:clusterName': {}
            'f:controller-revision-hash': {}
            'f:infinispan_cr': {}
            'f:statefulset.kubernetes.io/pod-name': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"9431b051-aca4-45e6-bc71-303e5ca266d5"}':
              .: {}
              'f:apiVersion': {}
              'f:blockOwnerDeletion': {}
              'f:controller': {}
              'f:kind': {}
              'f:name': {}
              'f:uid': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"admin-identities-volume"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
            'k:{"name":"config-volume"}':
              .: {}
              'f:configMap':
                .: {}
                'f:defaultMode': {}
                'f:name': {}
              'f:name': {}
            'k:{"name":"data-volume"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"encrypt-volume"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
            'k:{"name":"identities-volume"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
          'f:containers':
            'k:{"name":"infinispan"}':
              'f:image': {}
              'f:startupProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:initialDelaySeconds': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/etc/config"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/etc/encrypt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/etc/security/admin"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/etc/security/user"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/opt/infinispan/server/data"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:livenessProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:initialDelaySeconds': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:env':
                'k:{"name":"IDENTITIES_HASH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"JAVA_OPTIONS"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"ADMIN_IDENTITIES_PATH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                .: {}
                'k:{"name":"DEFAULT_IMAGE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"ADMIN_IDENTITIES_HASH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"CONFIG_PATH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"EXTRA_JAVA_OPTIONS"}':
                  .: {}
                  'f:name': {}
                'k:{"name":"IDENTITIES_PATH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"CONFIG_HASH"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"MANAGED_ENV"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:readinessProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:initialDelaySeconds': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":8888,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
                'k:{"containerPort":11222,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
                'k:{"containerPort":11223,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
          'f:hostname': {}
          'f:dnsPolicy': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:terminationGracePeriodSeconds': {}
          'f:enableServiceLinks': {}
          'f:securityContext':
            .: {}
            'f:fsGroup': {}
            'f:seLinuxOptions':
              'f:level': {}
          'f:affinity':
            .: {}
            'f:podAntiAffinity':
              .: {}
              'f:preferredDuringSchedulingIgnoredDuringExecution': {}
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2021-07-23T14:04:24Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2021-07-23T14:04:48Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.129.2.18"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
  namespace: kogito
  ownerReferences:
    - apiVersion: apps/v1
      kind: StatefulSet
      name: kogito-infinispan
      uid: 9431b051-aca4-45e6-bc71-303e5ca266d5
      controller: true
      blockOwnerDeletion: true
  labels:
    app: infinispan-pod
    clusterName: kogito-infinispan
    controller-revision-hash: kogito-infinispan-5d5c795c49
    infinispan_cr: kogito-infinispan
    statefulset.kubernetes.io/pod-name: kogito-infinispan-0
spec:
  restartPolicy: Always
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-fqdtb
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
        - weight: 100
          podAffinityTerm:
            labelSelector:
              matchLabels:
                app: infinispan-pod
                clusterName: kogito-infinispan
                infinispan_cr: kogito-infinispan
            topologyKey: kubernetes.io/hostname
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-173-154.us-east-2.compute.internal
  securityContext:
    seLinuxOptions:
      level: 's0:c25,c10'
    fsGroup: 1000620000
  containers:
    - resources:
        limits:
          cpu: 500m
          memory: 512Mi
        requests:
          cpu: 250m
          memory: 512Mi
      readinessProbe:
        httpGet:
          path: rest/v2/cache-managers/default/health/status
          port: 11223
          scheme: HTTP
        initialDelaySeconds: 10
        timeoutSeconds: 80
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 5
      terminationMessagePath: /dev/termination-log
      name: infinispan
      livenessProbe:
        httpGet:
          path: rest/v2/cache-managers/default/health/status
          port: 11223
          scheme: HTTP
        initialDelaySeconds: 10
        timeoutSeconds: 80
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 5
      env:
        - name: CONFIG_PATH
          value: /etc/config/infinispan.yaml
        - name: MANAGED_ENV
          value: 'TRUE'
        - name: JAVA_OPTIONS
          value: >-
            -Xmx200M -Xms200M -XX:MaxRAM=420M
            -Dsun.zip.disableMemoryMapping=true -XX:+UseSerialGC
            -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 
        - name: EXTRA_JAVA_OPTIONS
        - name: DEFAULT_IMAGE
          value: 'quay.io/infinispan/server:12.1.3.Final'
        - name: ADMIN_IDENTITIES_PATH
          value: /etc/security/admin/identities.yaml
        - name: IDENTITIES_PATH
          value: /etc/security/user/identities.yaml
        - name: CONFIG_HASH
          value: b786382995f0bc5e2677f8b752794fda3603a6c2
        - name: ADMIN_IDENTITIES_HASH
          value: 3606311d9d1f596470159110b0ddbb3fa94c1477
        - name: IDENTITIES_HASH
          value: f7241aedb7cb996c90e1eea64598aee3c6deb9d4
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000620000
      ports:
        - name: infinispan-adm
          containerPort: 11223
          protocol: TCP
        - name: ping
          containerPort: 8888
          protocol: TCP
        - name: infinispan
          containerPort: 11222
          protocol: TCP
      imagePullPolicy: IfNotPresent
      startupProbe:
        httpGet:
          path: rest/v2/cache-managers/default/health/status
          port: 11223
          scheme: HTTP
        initialDelaySeconds: 10
        timeoutSeconds: 80
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 60
      volumeMounts:
        - name: config-volume
          mountPath: /etc/config
        - name: data-volume
          mountPath: /opt/infinispan/server/data
        - name: admin-identities-volume
          mountPath: /etc/security/admin
        - name: identities-volume
          mountPath: /etc/security/user
        - name: encrypt-volume
          mountPath: /etc/encrypt
        - name: default-token-mr9gn
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'quay.io/infinispan/server:12.1.3.Final'
  hostname: kogito-infinispan-0
  serviceAccount: default
  volumes:
    - name: data-volume
      persistentVolumeClaim:
        claimName: data-volume-kogito-infinispan-0
    - name: config-volume
      configMap:
        name: kogito-infinispan-configuration
        defaultMode: 420
    - name: admin-identities-volume
      secret:
        secretName: kogito-infinispan-generated-operator-secret
        defaultMode: 420
    - name: identities-volume
      secret:
        secretName: kogito-infinispan-generated-secret
        defaultMode: 420
    - name: encrypt-volume
      secret:
        secretName: kogito-infinispan-cert-secret
        defaultMode: 420
    - name: default-token-mr9gn
      secret:
        secretName: default-token-mr9gn
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2021-07-23T14:04:13Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2021-07-23T14:04:48Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2021-07-23T14:04:48Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2021-07-23T14:04:13Z'
  hostIP: 10.0.173.154
  podIP: 10.129.2.18
  podIPs:
    - ip: 10.129.2.18
  startTime: '2021-07-23T14:04:13Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: infinispan
      state:
        running:
          startedAt: '2021-07-23T14:04:25Z'
      imageID: >-
        quay.io/infinispan/server@sha256:e800685e730d581df30136cf5d33d336e6e9bb446d67ab0cc3f24022c7c6280d
      image: 'quay.io/infinispan/server:12.1.3.Final'
      lastState: {}
      containerID: 'cri-o://57bf00b765b85b949d1b43f21f50215eacc2ef0f6b3b769d04e3438aeacad95e'
  qosClass: Burstable
